Bug 1049308 - (CVE-2017-10078) VUL-0: CVE-2017-10078: java-1_8_0-openjdk: Nashorn incompletely blocking access to Java APIs
(CVE-2017-10078)
VUL-0: CVE-2017-10078: java-1_8_0-openjdk: Nashorn incompletely blocking acce...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Fridrich Strba
Security Team bot
https://smash.suse.de/issue/188706/
CVSSv2:SUSE:CVE-2017-10078:8.5:(AV:N/...
:
Depends on:
Blocks: 1049333
  Show dependency treegraph
 
Reported: 2017-07-19 07:25 UTC by Johannes Segitz
Modified: 2017-08-18 14:46 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-07-19 07:25:16 UTC
Oracle July 2017 Patch Day.
http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html#AppendixJAVA
http://www.oracle.com/technetwork/security-advisory/cpujul2017verbose-3236625.html#JAVA

Vulnerability in the Java SE component of Oracle Java SE (subcomponent: Scripting). The supported version that is affected is Java SE: 8u131. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise Java SE. Successful attacks of this vulnerability can result in unauthorized creation, deletion or modification access to critical data or all Java SE accessible data as well as unauthorized access to critical data or complete access to all Java SE accessible data.

Note: This vulnerability can be exploited through sandboxed Java Web Start applications and sandboxed Java applets. It can also be exploited by supplying data to APIs in the specified Component without using sandboxed Java Web Start applications or sandboxed Java applets, such as through a web service.

CVSS v3.0 Base Score 8.1 (Confidentiality and Integrity impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N). (legend) [Advisory]
Comment 1 Swamp Workflow Management 2017-08-16 13:09:12 UTC
SUSE-SU-2017:2175-1: An update that solves 28 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1049302,1049305,1049306,1049307,1049308,1049309,1049310,1049311,1049312,1049313,1049314,1049315,1049316,1049317,1049318,1049319,1049320,1049321,1049322,1049323,1049324,1049325,1049326,1049327,1049328,1049329,1049330,1049331,1049332
CVE References: CVE-2017-10053,CVE-2017-10067,CVE-2017-10074,CVE-2017-10078,CVE-2017-10081,CVE-2017-10086,CVE-2017-10087,CVE-2017-10089,CVE-2017-10090,CVE-2017-10096,CVE-2017-10101,CVE-2017-10102,CVE-2017-10105,CVE-2017-10107,CVE-2017-10108,CVE-2017-10109,CVE-2017-10110,CVE-2017-10111,CVE-2017-10114,CVE-2017-10115,CVE-2017-10116,CVE-2017-10118,CVE-2017-10125,CVE-2017-10135,CVE-2017-10176,CVE-2017-10193,CVE-2017-10198,CVE-2017-10243
Sources used:
SUSE OpenStack Cloud 6 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server 12-SP2 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Desktop 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
SUSE Linux Enterprise Desktop 12-SP2 (src):    java-1_8_0-openjdk-1.8.0.144-27.5.3
Comment 2 Andreas Stieger 2017-08-18 08:16:48 UTC
done
Comment 3 Swamp Workflow Management 2017-08-18 13:08:47 UTC
openSUSE-SU-2017:2211-1: An update that solves 28 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1049302,1049305,1049306,1049307,1049308,1049309,1049310,1049311,1049312,1049313,1049314,1049315,1049316,1049317,1049318,1049319,1049320,1049321,1049322,1049323,1049324,1049325,1049326,1049327,1049328,1049329,1049330,1049331,1049332
CVE References: CVE-2017-10053,CVE-2017-10067,CVE-2017-10074,CVE-2017-10078,CVE-2017-10081,CVE-2017-10086,CVE-2017-10087,CVE-2017-10089,CVE-2017-10090,CVE-2017-10096,CVE-2017-10101,CVE-2017-10102,CVE-2017-10105,CVE-2017-10107,CVE-2017-10108,CVE-2017-10109,CVE-2017-10110,CVE-2017-10111,CVE-2017-10114,CVE-2017-10115,CVE-2017-10116,CVE-2017-10118,CVE-2017-10125,CVE-2017-10135,CVE-2017-10176,CVE-2017-10193,CVE-2017-10198,CVE-2017-10243
Sources used:
openSUSE Leap 42.3 (src):    java-1_8_0-openjdk-1.8.0.144-13.3
openSUSE Leap 42.2 (src):    java-1_8_0-openjdk-1.8.0.144-10.13.3